
Infrastructure - Task #3564

Story # 3561 (Closed): OneMercury UI Review Updates

Improve sorting options for search results

2013-02-11 16:46 - Skye Roseboom

Status: Closed Start date: 2013-02-11

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: 2013.14-Block.2.3   

Milestone: CCI-1.1.1 Story Points:  

Product Version: *   

Description

Remove search by member node.

Sort by start date, title, newest (most recently added / upload date)

History

#1 - 2013-02-12 22:44 - Skye Roseboom

- Status changed from New to In Progress

Skye Roseboom wrote:

Remove search by member node.

Sort by start date, title, newest (most recently added / upload date)

#2 - 2013-02-13 18:52 - Skye Roseboom

To sort by title, we need a new field in the index to support alpha sorting.  The current title field has some pre-indexing filters applied to it, which is not

allowing the alpha sort order to operate correctly.   Will create a new task to track updating the index schema to support title sort.

"Newest" sort option has been added to allow users to sort documents according to the newest items added to the dataone network.

"relevancy" sort has been left for now to provide users ability to sort list back to the 'default' order. 

#3 - 2013-02-18 16:18 - Skye Roseboom

- Status changed from In Progress to Testing

#4 - 2013-02-19 16:28 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

Sorting by 'relevance', 'start date', 'most recent' released with v1.1.1 one-mercury.  
Will create new story/feature to track effort to improve search index information to allow sorting by title (and author if desired).

#5 - 2013-03-01 18:46 - Skye Roseboom

- Target version set to 2013.10-Block.2.1

#6 - 2013-04-02 16:10 - Skye Roseboom

- Target version deleted (2013.10-Block.2.1)

#7 - 2013-04-02 16:12 - Skye Roseboom

- Target version set to 2013.14-Block.2.3
